Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.apt
Class TransportableTypeVisitor

    java.lang.Object
      javax.lang.model.util.AbstractTypeVisitor6<R,P>
          javax.lang.model.util.SimpleTypeVisitor6<T,State>
              com.google.web.bindery.requestfactory.apt.TypeVisitorBase<java.lang.Boolean>
                  com.google.web.bindery.requestfactory.apt.TransportableTypeVisitor

All Implemented Interfaces:
  javax.lang.model.type.TypeVisitor<java.lang.Boolean,State>

     class TransportableTypeVisitor

extends TypeVisitorBase<java.lang.Boolean>

Scans a TypeMirror to determine if it can be transported by RequestFactory.

Field Summary

Fields inherited from class javax.lang.model.util.SimpleTypeVisitor6
`DEFAULT_VALUE`

Constructor Summary
`TransportableTypeVisitor()`

Method Summary
`protected java.lang.Boolean` | `defaultAction(javax.lang.model.type.TypeMirror arg0, State arg1)`
`java.lang.Boolean` | `visitDeclared(javax.lang.model.type.DeclaredType t, State state)`
`java.lang.Boolean` | `visitPrimitive(javax.lang.model.type.PrimitiveType x, State state)`
`java.lang.Boolean` | `visitTypeVariable(javax.lang.model.type.TypeVariable t, State state)`
`java.lang.Boolean` | `visitWildcard(javax.lang.model.type.WildcardType t, State state)`

Methods inherited from class com.google.web.bindery.requestfactory.apt.TypeVisitorBase
`getValueTypes`

Methods inherited from class javax.lang.model.util.SimpleTypeVisitor6
`visitArray, visitError, visitExecutable, visitNoType, visitNull`

Methods inherited from class javax.lang.model.util.AbstractTypeVisitor6
`visit, visit, visitUnknown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportableTypeVisitor

    TransportableTypeVisitor()

Method Detail

### visitDeclared

    public java.lang.Boolean visitDeclared(javax.lang.model.type.DeclaredType t,
                                           State state)

  Specified by:
    `visitDeclared` in interface `javax.lang.model.type.TypeVisitor<java.lang.Boolean,State>`
  Overrides:
    `visitDeclared` in class `javax.lang.model.util.SimpleTypeVisitor6<java.lang.Boolean,State>`

### visitPrimitive

    public java.lang.Boolean visitPrimitive(javax.lang.model.type.PrimitiveType x,
                                            State state)

  Specified by:
    `visitPrimitive` in interface `javax.lang.model.type.TypeVisitor<java.lang.Boolean,State>`
  Overrides:
    `visitPrimitive` in class `javax.lang.model.util.SimpleTypeVisitor6<java.lang.Boolean,State>`

### visitTypeVariable

    public java.lang.Boolean visitTypeVariable(javax.lang.model.type.TypeVariable t,
                                               State state)

  Specified by:
    `visitTypeVariable` in interface `javax.lang.model.type.TypeVisitor<java.lang.Boolean,State>`
  Overrides:
    `visitTypeVariable` in class `javax.lang.model.util.SimpleTypeVisitor6<java.lang.Boolean,State>`

### visitWildcard

    public java.lang.Boolean visitWildcard(javax.lang.model.type.WildcardType t,
                                           State state)

  Specified by:
    `visitWildcard` in interface `javax.lang.model.type.TypeVisitor<java.lang.Boolean,State>`
  Overrides:
    `visitWildcard` in class `javax.lang.model.util.SimpleTypeVisitor6<java.lang.Boolean,State>`

### defaultAction

    protected java.lang.Boolean defaultAction(javax.lang.model.type.TypeMirror arg0,
                                              State arg1)

  Overrides:
    `defaultAction` in class `javax.lang.model.util.SimpleTypeVisitor6<java.lang.Boolean,State>`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD